Bug 253914 - textproc/UCD Checksum fail
Summary: textproc/UCD Checksum fail
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-28 15:49 UTC by nyan
Modified: 2021-06-23 15:37 UTC (History)
1 user (show)

See Also:
thierry: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nyan 2021-02-28 15:49:06 UTC
In `textproc/UCD`, the copyright.html has been updated at 25th Feb, 2021 which cause an error on SHA256 Checksum

https://www.unicode.org/copyright.html

patch:
https://reviews.freebsd.org/D28985
Comment 1 Thierry Thomas freebsd_committer 2021-02-28 17:03:24 UTC
Committed, thanks for the notification!
Comment 2 commit-hook freebsd_committer 2021-02-28 17:03:55 UTC
A commit references this bug:

Author: thierry
Date: Sun Feb 28 17:03:23 UTC 2021
New revision: 566777
URL: https://svnweb.freebsd.org/changeset/ports/566777

Log:
  Update distinfo: Copyright ? changed from 1991-2020 to 1991-2021.

  PR:		253914
  Submitted by:	nyan (at) myuji.xyz
  Differential Revision:	D28985

Changes:
  head/textproc/UCD/distinfo
Comment 3 Matthias Andree freebsd_committer 2021-06-22 21:21:11 UTC
Reopening, this bug comes back if www.unicode.org is down and we access the distcache. Thierry, we may need to update the distcache file - not sure which FreeBSD team might help with that, might be clusteradm.

===> Fetching all distfiles required by UCD-13.0.0 for building
=> SHA256 Checksum OK for UCD-13.0.0/UCD.zip.
=> SHA256 Checksum mismatch for UCD-13.0.0/copyright.html.
=> SHA256 Checksum OK for UCD-13.0.0/Unihan.zip.
===>  Refetch for 1 more times files:  UCD-13.0.0/copyright.html 
===>  License Unicode_License_Agreement accepted by the user
===>   UCD-13.0.0 depends on file: /usr/local/sbin/pkg - found
=> copyright.html doesn't seem to exist in /usr/ports/distfiles/UCD-13.0.0.
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/UCD-13.0.0/copyright.html
copyright.html                                          13 kB 1063 kBps    00s
===> Fetching all distfiles required by UCD-13.0.0 for building
===>  License Unicode_License_Agreement accepted by the user
===>   UCD-13.0.0 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by UCD-13.0.0 for building
=> SHA256 Checksum OK for UCD-13.0.0/UCD.zip.
=> SHA256 Checksum mismatch for UCD-13.0.0/copyright.html.
=> SHA256 Checksum OK for UCD-13.0.0/Unihan.zip.
===>  Giving up on fetching files:  UCD-13.0.0/copyright.html 
Make sure the Makefile and distinfo file (/usr/ports/textproc/UCD/distinfo)
are up to date.  If you are absolutely sure you want to override this
check, type "make NO_CHECKSUM=yes [other args]".
Comment 4 Matthias Andree freebsd_committer 2021-06-22 21:37:52 UTC
so for those of you who downloaded the copyright.html around 2021 June 22 with a broken checksum from the FreeBSD distcache, as pointed out in https://reviews.freebsd.org/D28985, find

Copyright © 1991-2020 Unicode, Inc. All rights reserved.

and edit the year to

Copyright © 1991-2021 Unicode, Inc. All rights reserved.

without changing anything else, and you should be set, you can try "make checksum".
Comment 5 commit-hook freebsd_committer 2021-06-23 15:37:00 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=abf3649244441447380a38b969462ec4bbd5cfc6

commit abf3649244441447380a38b969462ec4bbd5cfc6
Author:     Thierry Thomas <thierry@FreeBSD.org>
AuthorDate: 2021-06-23 13:29:07 +0000
Commit:     Thierry Thomas <thierry@FreeBSD.org>
CommitDate: 2021-06-23 15:36:21 +0000

    textproc/UCD: replace copyright by license

    Replace the file copyright.html by license.html: it is best suited for
    our needs, and it is expected to be more stable.

    PR:             253914
    Reported by:    mandree

 textproc/UCD/Makefile | 4 ++--
 textproc/UCD/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)
Comment 6 Thierry Thomas freebsd_committer 2021-06-23 15:37:27 UTC
Replace the file copyright.html by license.html: it is best suited for
our needs, and it is expected to be more stable.